Bug 1249314 - yumex-dnf is not following the install only_limit config parameter default 3
yumex-dnf is not following the install only_limit config parameter default 3
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: yumex-dnf (Show other bugs)
epel7
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Documentation Project
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 10:41 EDT by totalitout
Modified: 2015-11-18 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 12:17:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description totalitout 2015-08-01 10:41:25 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:39.0) Gecko/20100101 Firefox/39.0
Build Identifier: 

Using yumex-dnf when installing an updated kernel, the oldest kernel is not removed.  All kernels remain installed, apparently without limit.  The default to keep only the 3 newest kernels is ignored.  Running: dnf update removes excess kernels, the limit of 3 is observed.

Reproducible: Always

Steps to Reproduce:
1.Open yumex-dnf, run update.
2.Reboot to load updated kernel.
3.Kernel list displays more than 3 installed kernels.
Actual Results:  
More than 3 kernels remain installed.  The install only_limit config parameter default 3 is ignored.

Expected Results:  
Oldest kernel should be removed.  No more than 3 kernels should remain installed.

No error message.  Didn't have any indication of a problem except when rebooting noticed the excess kernels listed.  This needs to be fixed.  It could cause unaware users to run out of space in their /boot partition.
Comment 1 Tim Lauridsen 2015-10-06 04:22:59 EDT
This is fixed in 4.1.4 and later currently in updates-testing for Fedora 21-23

https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Note You need to log in before you can comment on or make changes to this bug.